#!/usr/bin/env bash

counter=1

# Do this forever
while true; do
    # Capture output of the command
    output=$(../build/Assignment5 < ../documentation/a5_sample_input_3.txt)
    # compare against output3.txt
    if [ "$output" != "$(cat output3.txt)" ]; then
        echo "Test 3 failed"
        # show output
        echo "$output"
        exit 1
    fi
    echo "Test 3 passed $counter times"
    counter=$((counter+1))
done